Details

    • Type: Documentation
    • Status: New (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Security
    • Labels:
      None

      Description

      This doesn't note requirements for any elytron configuration:

      https://access.redhat.com/documentation/en-us/red_hat_jboss_enterprise_application_platform/7.3/html/configuration_guide/reference_material#install_openssl_jbcs

      Elytron settings are there by default, but if customers have customized it, they may have removed it, resulting in an unclear failure to load and use OpenSSL libraries. It could help to have a note here of elytron setting requirements referencing an org.wildfly.openssl provider:

          <extensions>
      ...
              <extension module="org.wildfly.extension.elytron"/>
          </extensions>
      ...
              <subsystem xmlns="urn:wildfly:elytron:1.2" final-providers="combined-providers" disallowed-providers="OracleUcrypto">
                  <providers>
                      <aggregate-providers name="combined-providers">
                          <providers name="elytron"/>
                          <providers name="openssl"/>
                      </aggregate-providers>
                      <provider-loader name="elytron" module="org.wildfly.security.elytron"/>
                      <provider-loader name="openssl" module="org.wildfly.openssl"/>
                  </providers>
             </subsystem>
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                aogburn Aaron Ogburn
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: